package store

import (
	"github.com/glebarez/sqlite"
	"gorm.io/gorm"
)

type sqliteStore struct {
	db *gorm.DB
}

func NewSqliteStore(path string) (Store, error) {
	db, err := gorm.Open(sqlite.Open(path))
	if err != nil {
		return nil, err
	}

	return &sqliteStore{db: db}, nil
}
